<jds-bi-root>
  <div class="container mx-auto antialiased">
    <!-- Accordion -->
    <div class="my-12">
      <h2>Accordion</h2>

      <jds-bi-accordion
        #acc="jdsBiAccordion"
        [destroyOnHide]="false"
        [closeOthers]="true"
        activeIds="custom-panel-1"
        colorScheme="blue"
      >
        <jds-bi-panel
          id="custom-panel-1"
          title="Simple"
        >
          <ng-template jdsBiPanelContent>
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
            terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
            skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
            Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
            single-origin coffee nulla assumenda shoreditch et. Nihil anim
            keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
            sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
            occaecat craft beer farm-to-table, raw denim aesthetic synth
            nesciunt you probably haven't heard of them accusamus labore
            sustainable VHS.
          </ng-template>
        </jds-bi-panel>
        <jds-bi-panel id="custom-panel-2">
          <ng-template jdsBiPanelTitle>
            <span>&#9733; <b>Fancy</b> title &#9733;</span>
          </ng-template>
          <ng-template jdsBiPanelContent>
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
            terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
            skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
            Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
            single-origin coffee nulla assumenda shoreditch et. Nihil anim
            keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
            sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
            occaecat craft beer farm-to-table, raw denim aesthetic synth
            nesciunt you probably haven't heard of them accusamus labore
            sustainable VHS.
          </ng-template>
        </jds-bi-panel>
        <jds-bi-panel
          id="custom-panel-3"
          [disabled]="true"
          title="Disabled"
        >
          <ng-template jdsBiPanelContent>
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
            terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
            skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
            Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
            single-origin coffee nulla assumenda shoreditch et. Nihil anim
            keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
            sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
            occaecat craft beer farm-to-table, raw denim aesthetic synth
            nesciunt you probably haven't heard of them accusamus labore
            sustainable VHS.
          </ng-template>
        </jds-bi-panel>
        <jds-bi-panel
          id="custom-panel-4"
          title="Simple"
        >
          <ng-template jdsBiPanelContent>
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
            terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
            skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
            Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
            single-origin coffee nulla assumenda shoreditch et. Nihil anim
            keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
            sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
            occaecat craft beer farm-to-table, raw denim aesthetic synth
            nesciunt you probably haven't heard of them accusamus labore
            sustainable VHS.
          </ng-template>
        </jds-bi-panel>
        <jds-bi-panel id="custom-panel-5">
          <ng-template
            jdsBiPanelHeader
            let-opened="opened"
          >
            <div
              class="t-accordion-button justify-between"
              [class.t-collapsed]="!opened"
            >
              <p class="m-0">
                First panel - {{ opened ? 'opened' : 'collapsed' }}
              </p>
              <button jdsBiPanelToggle>asd</button>
            </div>
          </ng-template>
          <ng-template jdsBiPanelContent>
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
            terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
            skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
            Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
            single-origin coffee nulla assumenda shoreditch et. Nihil anim
            keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
            sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
            occaecat craft beer farm-to-table, raw denim aesthetic synth
            nesciunt you probably haven't heard of them accusamus labore
            sustainable VHS.
          </ng-template>
        </jds-bi-panel>
      </jds-bi-accordion>
    </div>

    <hr />

    <!-- Badge -->
    <div class="my-12">
      <h2>Badge</h2>

      <div class="flex space-x-2">
        <span jdsBiBadge>Solid</span>
        <span
          jdsBiBadge
          variant="outline"
        >
          Outline
        </span>
        <span
          jdsBiBadge
          variant="subtle"
        >
          Subtle
        </span>
        <span
          jdsBiBadge
          colorScheme="red"
        >
          8
        </span>
      </div>
    </div>

    <hr />

    <!-- Button -->
    <div class="my-12">
      <h2>Button</h2>

      <div class="flex space-x-2">
        <button jdsBiButton>Button</button>
        <button
          jdsBiButton
          variant="outline"
        >
          Button
        </button>
        <button
          jdsBiButton
          variant="ghost"
        >
          Button
        </button>
        <button
          jdsBiButton
          variant="input"
        >
          Button
        </button>
        <button
          jdsBiButton
          variant="link"
        >
          Button
        </button>
      </div>

      <div class="flex space-x-2 mt-4">
        <a
          jdsBiButton
          href="https://google.com"
          >Button</a
        >
        <button
          jdsBiButton
          colorScheme="blue"
        >
          Button
        </button>
        <button
          jdsBiButton
          colorScheme="purple"
        >
          Button
        </button>
      </div>

      <div class="block space-x-2 mt-4">
        <button
          jdsBiButton
          size="lg"
        >
          Button
        </button>
        <button
          jdsBiButton
          size="md"
        >
          Button
        </button>
        <button
          jdsBiButton
          size="sm"
        >
          Button
        </button>
      </div>
    </div>

    <hr />

    <!-- Dropdown -->
    <div class="my-12">
      <h2>Dropdown</h2>

      <div>
        <jds-bi-hosted-dropdown
          [(open)]="dropdownOpen"
          [jdsBiDropdownLimitWidth]="'min'"
          [content]="dropdown"
        >
          <button jdsBiButton>
            Tambah Data
            <span class="ml-2">a</span>
          </button>
        </jds-bi-hosted-dropdown>

        <ng-template #dropdown>
          <div class="p-4">
            <ul class="m-0">
              <li>Dataset</li>
              <li>Mapset</li>
              <li>Indikator</li>
              <li>Visualisasi</li>
            </ul>
          </div>
        </ng-template>
      </div>

      <br />

      <div>
        <jds-bi-hosted-dropdown
          [(open)]="dropdownNotificationOpen"
          [jdsBiDropdownLimitWidth]="'fixed'"
          [content]="dropdownNotification"
          [jdsBiDropdownMinWidth]="400"
          [jdsBiDropdownMinHeight]="100"
        >
          <button jdsBiButton>Notification</button>
        </jds-bi-hosted-dropdown>

        <ng-template #dropdownNotification>
          <div class="p-4">
            Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
            terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
            skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
            Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
            single-origin coffee nulla assumenda shoreditch et. Nihil anim
            keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
            sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
            occaecat craft beer farm-to-table, raw denim aesthetic synth
            nesciunt you probably haven't heard of them accusamus labore
            sustainable VHS. Anim pariatur cliche reprehenderit, enim eiusmod
            high life accusamus terry richardson ad squid. 3 wolf moon officia
            aute, non cupidatat skateboard dolor brunch. Food truck quinoa
            nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put
            a bird on it squid single-origin coffee nulla assumenda shoreditch
            et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson
            cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice
            lomo. Leggings occaecat craft beer farm-to-table, raw denim
            aesthetic synth nesciunt you probably haven't heard of them
            accusamus labore sustainable VHS.
          </div>
        </ng-template>
      </div>

      <br />
      <div>
        <span (tuiActiveZoneChange)="onActiveZone($any($event))">
          <button
            [jdsBiDropdownLimitWidth]="'custom'"
            [jdsBiDropdown]="dropdownContent"
            [jdsBiDropdownManual]="open"
            [jdsBiDropdownMinWidth]="400"
            [jdsBiDropdownMinHeight]="100"
            (jdsBiObscured)="onObscured($any($event))"
            (click)="onClick()"
            jdsBiButton
            type="button"
          >
            Choose
          </button>
          <ng-template #dropdownContent>
            <div class="p-4" [style.whiteSpace]="'nowrap'">
              Synergistically re-engineer B2B web services for fully researched
            solutions. Objectively benchmark 24/365 value after market
            positioning models. Completely coordinate long-term high-impact
            potentialities whereas enabled products. Proactively generate
            emerging best practices whereas professional potentialities.
            </div>
            <div class="p-4">
              Asd Synergistically re-engineer B2B web services for fully
            researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities. Synergistically re-engineer B2B web services for
            fully researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities. Synergistically re-engineer B2B web services for
            fully researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities.Synergistically re-engineer B2B web services for
            fully researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities. Synergistically re-engineer B2B web services for
            fully researched solutions. Synergistically re-engineer B2B web
            services for fully researched solutions. Objectively benchmark
            24/365 value after market positioning models. Completely coordinate
            long-term high-impact potentialities whereas enabled products.
            Proactively generate emerging best practices whereas professional
            potentialities. Synergistically re-engineer B2B web services for
            fully researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities. Synergistically re-engineer B2B web services for
            fully researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities.Synergistically re-engineer B2B web services for
            fully researched solutions. Objectively benchmark 24/365 value after
            market positioning models. Completely coordinate long-term
            high-impact potentialities whereas enabled products. Proactively
            generate emerging best practices whereas professional
            potentialities. Synergistically re-engineer B2B web services for
            fully researched solutions. Credibly e-enable excellent
            architectures whereas virtual models. Seamlessly exploit integrated
            testing procedures with high-quality human capital. Credibly
            coordinate sticky portals whereas seamless supply chains.
            Progressively drive interdependent vortals with global growth
            strategies. Completely embrace clicks-and-mortar vortals through
            virtual niche markets. Synergistically target effective ideas via
            plug-and-play benefits. Completely revolutionize flexible e-commerce
            whereas just in time initiatives. Dynamically communicate extensive
            content for corporate relationships. Collaboratively synergize
            plug-and-play synergy vis-a-vis innovative applications. Quickly
            promote economically sound channels whereas top-line
            functionalities. Interactively pursue goal-oriented processes and
            e-business manufactured products. Professionally fashion resource
            maximizing best practices with e-business customer service.
            Synergistically synthesize fully researched convergence vis-a-vis
            B2C total linkage. Professionally plagiarize client-centered
            communities whereas efficient systems. Professionally engineer
            customer directed e-tailers via go forward ROI. Continually deploy
            leading-edge services whereas leveraged infrastructures.
            Monotonectally aggregate cross-platform core competencies through
            bricks-and-clicks metrics. Dynamically impact sustainable
            potentialities without cooperative systems. Monotonectally develop
            interdependent e-business via synergistic human capital.
            Enthusiastically negotiate multidisciplinary e-business before
            orthogonal customer service. Enthusiastically disseminate
            exceptional best practices and global services. Authoritatively
            utilize inexpensive deliverables with professional process
            improvements. Compellingly reintermediate next-generation users
            after plug-and-play "outside the box" thinking. Progressively
            network sticky convergence with an expanded array of leadership.
            Enthusiastically embrace intuitive solutions through team driven
            catalysts for change. Continually incentivize covalent interfaces
            for progressive infomediaries. Proactively recaptiualize equity
            invested vortals before empowered innovation. Assertively
            re-engineer resource sucking architectures via one-to-one quality
            vectors. Seamlessly redefine client-based web-readiness via resource
            sucking meta-services. Authoritatively matrix prospective ideas for
            just in time initiatives. Efficiently develop cross-platform
            scenarios through premier applications. Monotonectally mesh
            intermandated value for dynamic vortals. Assertively evisculate
            turnkey web services via strategic core competencies. Intrinsicly
            network real-time solutions via leading-edge models. Appropriately
            extend performance based methods of empowerment and value-added
            intellectual capital. Uniquely matrix backward-compatible networks
            through seamless convergence. Proactively initiate maintainable
            quality vectors via out-of-the-box solutions. Proactively e-enable
            B2B testing procedures via backend total linkage. Proactively
            whiteboard state of the art results and exceptional information.
            Proactively re-engineer orthogonal content for strategic
            relationships. Enthusiastically promote seamless manufactured
            products before global models. Rapidiously redefine highly efficient
            portals vis-a-vis compelling deliverables. Professionally negotiate
            interdependent content with turnkey sources. Rapidiously
            myocardinate multifunctional meta-services with unique best
            practices. Collaboratively optimize multifunctional materials
            without fully researched collaboration and idea-sharing.
            Phosfluorescently utilize viral networks through multimedia based
            resources. Phosfluorescently supply functional models and
            maintainable "outside the box" thinking. Efficiently develop team
            driven supply chains and value-added growth strategies. Proactively
            brand enterprise-wide communities through customer directed
            deliverables. Compellingly leverage other's high-quality convergence
            through synergistic materials. Distinctively re-engineer
            plug-and-play infrastructures before enterprise-wide e-tailers.
            Progressively aggregate customer directed infrastructures after
            holistic leadership. Quickly promote web-enabled vortals and
            granular schemas. Completely matrix vertical architectures via 2.0
            imperatives. Monotonectally grow magnetic information without
            top-line supply chains. Dynamically incentivize worldwide markets
            before team driven value. Authoritatively cultivate tactical
            mindshare whereas team driven resources. Compellingly utilize
            performance based ROI before world-class metrics. Globally optimize
            functionalized networks vis-a-vis performance based materials.
            Enthusiastically restore end-to-end catalysts for change vis-a-vis
            open-source process improvements. Dynamically incentivize customer
            directed data for extensible e-markets.
            </div>
          </ng-template>
        </span>
      </div>

      <br />

      <div>
        <span
          jdsBiDropdownHover
          jdsBiDropdown="Great Scott!"
        >
          This is heavy!
        </span>
      </div>
    </div>

    <hr />

    <!-- Icon -->
    <div class="my-12">
      <h2>Icon</h2>

      <div class="flex space-x-2">
        <jds-bi-icon name="book" />
        <jds-bi-icon
          [size]="24"
          name="book"
         />
      </div>

      <div class="flex space-x-2 mt-4">
        <div class="flex items-center">
          <jds-bi-icon
            class="mr-2"
            name="user-lock"
           />
          <span>Label icon</span>
        </div>
      </div>
    </div>

    <hr />

    <!-- Input -->
    <div class="my-12">
      <h2>Input</h2>

      <div class="block mb-2">
        <input
          jdsBiInput
          type="text"
          placeholder="Text"
          size="lg"
        />
      </div>

      <div class="block mb-2">
        <input
          jdsBiInput
          type="text"
          placeholder="Text"
        />
      </div>

      <div class="block mb-2">
        <input
          jdsBiInput
          type="text"
          placeholder="Text"
          size="sm"
        />
      </div>

      <div class="block mb-2">
        <input
          [valid]="true"
          jdsBiInput
          type="text"
          placeholder="Text"
        />
      </div>

      <div class="block mb-2">
        <input
          [invalid]="true"
          jdsBiInput
          type="text"
          placeholder="Text"
        />
      </div>

      <div class="block mb-2">
        <textarea
          jdsBiInput
          type="textarea"
          placeholder="Textarea"
        ></textarea>
      </div>

      <div class="block mb-2">
        <input
          jdsBiInput
          type="text"
          placeholder="Text"
          disabled
        />
      </div>

      <div class="block mb-2">
        <input
          jdsBiInput
          type="text"
          placeholder="Text"
          readonly
        />
      </div>

      <div class="block mb-2">
        <input
          jdsBiInput
          type="file"
          placeholder="Text"
        />
      </div>
    </div>

    <hr />

    <!-- Input Group -->
    <div class="my-12">
      <h2>Input Group</h2>

      <div class="block mb-2">
        <div jdsBiInputGroup>
          <span jdsBiInputLeftAddon>Prefix</span>
          <input
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Prefix"
          />
        </div>
      </div>

      <div class="block mb-2">
        <div jdsBiInputGroup>
          <input
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Suffix"
          />
          <span jdsBiInputRightAddon>Suffix</span>
        </div>
      </div>

      <div class="block mb-2">
        <div jdsBiInputGroup>
          <span jdsBiInputLeftAddon>Prefix</span>
          <input
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Prefix Suffix"
          />
          <span jdsBiInputRightAddon>Suffix</span>
        </div>
      </div>

      <div class="block mb-2">
        <div jdsBiInputGroup>
          <input
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Button"
          />
          <button
            jdsBiButton
            jdsBiInputRightAddon
            variant="input"
            colorScheme="gray"
          >
            Button
          </button>
        </div>
      </div>

      <div class="block mb-2">
        <div
          jdsBiInputGroup
          variant="element"
        >
          <jds-bi-input-left-element>
            <jds-bi-icon
              [size]="14"
              name="book"
             />
          </jds-bi-input-left-element>
          <input
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Element Left"
          />
        </div>
      </div>

      <div class="block mb-2">
        <div
          jdsBiInputGroup
          variant="element"
        >
          <input
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Element Right"
          />
          <jds-bi-input-right-element>
            <jds-bi-icon
              [size]="14"
              name="book"
            />
          </jds-bi-input-right-element>
        </div>
      </div>

      <div class="block mb-2">
        <div
          jdsBiInputGroup
          variant="element"
        >
          <input
            class="pr-[76px]"
            jdsBiInput
            type="text"
            placeholder="Text"
            value="Element Button"
          />
          <jds-bi-input-right-element>
            <button
              jdsBiButton
              colorScheme="blue"
              variant="solid"
            >
              <span>Search</span>
              <jds-bi-icon
                class="ml-2"
                name="book"
              />
            </button>
          </jds-bi-input-right-element>
        </div>
      </div>
    </div>

    <hr />

    <div class="my-12">
      <h2>Modal</h2>

      <button
        jdsBiButton
        variant="outline"
        (click)="onTestModal()"
      >
        Test Modal
      </button>
      <jds-bi-modal-test />
    </div>

    <hr />

    <!-- Nav -->
    <div class="my-12">
      <h2>Nav</h2>

      <div>
      <ul
        #nav="jdsBiNav"
        [(activeId)]="activeNav"
        jdsBiNav
        variant="ghost"
      >
        <li [jdsBiNavItem]="1">
          <a jdsBiNavLink>Dataset</a>
          <ng-template jdsBiNavContent>
            <p>
              Raw denim you probably haven't heard of them jean shorts Austin.
              Nesciunt tofu stumptown aliqua, retro synth master cleanse.
              Mustache cliche tempor, williamsburg carles vegan helvetica.
              Reprehenderit butcher retro keffiyeh dreamcatcher synth. Cosby
              sweater eu banh mi, qui irure terry richardson ex squid. Aliquip
              placeat salvia cillum iphone. Seitan aliquip quis cardigan
              american apparel, butcher voluptate nisi qui.
            </p>
          </ng-template>
        </li>
        <li [jdsBiNavItem]="2">
          <a jdsBiNavLink>Indikator</a>
          <ng-template jdsBiNavContent>
            <p>
              Exercitation +1 labore velit, blog sartorial PBR leggings next
              level wes anderson artisan four loko farm-to-table craft beer
              twee. Qui photo booth letterpress, commodo enim craft beer mlkshk
              aliquip jean shorts ullamco ad vinyl cillum PBR. Homo nostrud
              organic, assumenda labore aesthetic magna delectus mollit. Keytar
              helvetica VHS salvia yr, vero magna velit sapiente labore
              stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
              sustainable jean shorts beard ut DIY ethical culpa terry
              richardson biodiesel. Art party scenester stumptown, tumblr
              butcher vero sint qui sapiente accusamus tattooed echo park.
            </p>
          </ng-template>
        </li>
        <li [jdsBiNavItem]="3">
          <a jdsBiNavLink>Visualisasi</a>
          <ng-template jdsBiNavContent>
            <p>
              Homo nostrud organic, assumenda labore aesthetic magna delectus
              mollit. Keytar helvetica VHS salvia yr, vero magna velit sapiente
              labore stumptown. Vegan fanny pack odio cillum wes anderson 8-bit,
              sustainable jean shorts beard ut DIY ethical culpa terry
              richardson biodiesel. Art party scenester stumptown, tumblr
              butcher vero sint qui sapiente accusamus tattooed echo park.
            </p>
          </ng-template>
        </li>
      </ul>

      <div
        class="mt-2"
        [jdsBiNavOutlet]="nav"
      ></div>

      <pre>Active: {{ activeNav }}</pre>
    </div>

    <br />

      <div>
        <jds-bi-nav-basic-storybook />
      </div>
    </div>

    <hr />

    <!-- Pagination -->
    <div class="my-12">
      <h2>Pagination</h2>

      <jds-bi-pagination
        [pagination]="{ empty: false, total_pages: 100, total_items: 1000 }"
      />
    </div>

    <hr />

    <!-- Scrollbar -->
    <div class="my-12">
      <h2>Scrollbar</h2>

      <jds-bi-scrollbar
        class="w-96 h-48 border-solid border-2 border-indigo-600"
      >
        <div class="p-4">
          Competently embrace interoperable partnerships vis-a-vis multimedia
          based opportunities. Appropriately grow innovative innovation for
          extensive resources. Dramatically cultivate wireless value for
          cutting-edge collaboration and idea-sharing. Energistically negotiate
          virtual testing procedures without worldwide alignments.
          Collaboratively expedite parallel alignments with an expanded array of
          systems. Objectively extend orthogonal customer service whereas
          error-free best practices. Dynamically simplify resource maximizing
          infomediaries vis-a-vis emerging "outside the box" thinking.
          Dynamically incentivize unique platforms before fully researched
          results. Holisticly disseminate technically sound e-services via
          process-centric leadership skills. Synergistically strategize resource
          sucking innovation through intuitive "outside the box" thinking.
          Monotonectally architect standardized synergy with turnkey mindshare.
          Distinctively evolve distributed results and prospective bandwidth.
          Rapidiously create cooperative functionalities and adaptive
          alignments. Synergistically actualize one-to-one platforms rather than
          equity invested synergy. Compellingly transition go forward
          infrastructures rather than virtual data. Progressively architect
          backend e-commerce after cross-platform deliverables. Dynamically
          repurpose multifunctional experiences rather than leading-edge
          results. Phosfluorescently.
        </div>
      </jds-bi-scrollbar>
    </div>

    <hr />

    <!-- Table Head -->
    <div class="my-12">
      <h2>Table Head</h2>

      <table>
        <thead>
          <tr>
            <th
              class="bg-green-700"
              scope="col"
            >
              Normal
            </th>
            <th
              class="bg-green-700"
              [isSortable]="true"
              [currentSort]="{
                sort: 'sortable',
                direction: 'desc'
              }"
              [colorCustom]="true"
              (filterSort)="filterSort($event)"
              scope="col"
              jdsBiTableHead
              column="sortable"
              colorScheme="#FFF"
            >
              Sortable
            </th>
            <th
              class="bg-green-700"
              [isFilterable]="true"
              [colorCustom]="false"
              scope="col"
              jdsBiTableHead
              column="filterable"
              colorScheme="red"
            >
              Filterable
              <div
                [style.cursor]="'pointer'"
                filter
                role="button"
              >
                <i
                  class="tblhd-icon"
                  [ngClass]="['active']"
                ></i>
              </div>
            </th>
            <th
              class="bg-green-700"
              [isSortable]="true"
              [currentSort]="{
                sort: 'sortable',
                direction: 'desc'
              }"
              [isFilterable]="true"
              (filterSort)="filterSort($event)"
              scope="col"
              jdsBiTableHead
              column="sortable-filterable"
            >
              Sortable Filterable
              <div
                [style.cursor]="'pointer'"
                filter
                role="button"
              >
                <i class="tblhd-icon"></i>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>Body</td>
            <td>Body</td>
            <td>Body</td>
            <td>Body</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</jds-bi-root>
